linux: 5.0.0-20.21 -proposed tracker

Bug #1833934 reported by Stefan Bader on 2019-06-24
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Stefan Bader
Prepare-package-lrm
Medium
Stefan Bader
Prepare-package-meta
Medium
Stefan Bader
Prepare-package-signed
Medium
Stefan Bader
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Andy Whitcroft
Promote-to-updates
Medium
Andy Whitcroft
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Disco
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

backports: bug 1833930 (bionic/linux-hwe-edge), bug 1833932 (bionic/linux-oem-osp1)
derivatives: bug 1833921 (linux-raspi2), bug 1833922 (linux-aws), bug 1833924 (linux-azure), bug 1833927 (linux-gcp), bug 1833928 (linux-kvm), bug 1833929 (linux-snapdragon)

-- swm properties --
boot-testing-requested: true
bugs-spammed: true
phase: Complete
phase-changed: Friday, 28. June 2019 17:01 UTC
proposed-announcement-sent: true
proposed-testing-requested: true
variant: debs

CVE References

Stefan Bader (smb) on 2019-06-24
tags: added: disco kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Disco):
importance: Undecided → Medium
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2019.05.13-7
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
description: updated
Stefan Bader (smb) on 2019-06-24
summary: - linux: <version to be filled> -proposed tracker
+ linux: 5.0.0-20.21 -proposed tracker
description: updated
tags: added: block-proposed-disco
tags: added: block-proposed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Stefan Bader (smb) wrote :

Only CVE updates.

description: updated
Stefan Bader (smb) wrote :

Re-spin, skipping RT.

description: updated
description: updated
Stefan Bader (smb) wrote :

Fixup re-spin, CERT not strictly required.

tags: removed: block-proposed-disco
tags: removed: block-proposed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.0.0-20.21

---------------
linux (5.0.0-20.21) disco; urgency=medium

  * linux: 5.0.0-20.21 -proposed tracker (LP: #1833934)

  * CVE-2019-11479
    - SAUCE: tcp: add tcp_min_snd_mss sysctl
    - SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()

  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638) // CVE-2019-11478
    - tcp: refine memory limit test in tcp_fragment()

 -- Stefan Bader <email address hidden> Mon, 24 Jun 2019 10:09:02 +0200

Changed in linux (Ubuntu Disco):
status: New → Fix Released
description: updated
description: updated
description: updated
description: updated
description: updated

All tasks have been completed and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
tags: removed: kernel-release-tracking-bug-live
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.0.0-20.21

---------------
linux (5.0.0-20.21) disco; urgency=medium

  * linux: 5.0.0-20.21 -proposed tracker (LP: #1833934)

  * CVE-2019-11479
    - SAUCE: tcp: add tcp_min_snd_mss sysctl
    - SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()

  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638) // CVE-2019-11478
    - tcp: refine memory limit test in tcp_fragment()

 -- Stefan Bader <email address hidden> Mon, 24 Jun 2019 10:09:02 +0200

Changed in linux (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers